Create an order
Creates a new order for an internal currency exchange and/or for an outbound payment, using an existing quote.
POST
/
orders
/
trade
cURL
curl --request POST \
--url 'https://api.equalsmoney.com/v2/orders/trade?accountId={{accountId}}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.equalsmoney.com/v2/orders/trade"
payload = {
"orderId": "string",
"quoteRequestId": "string",
"payments": {
"amount": 0,
"currency": {
"budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
"currencyCode": "USD"
},
"recipientId": "string",
"internalReference": "string",
"externalReference": "string"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
orderId: 'string',
quoteRequestId: 'string',
payments: {
amount: 0,
currency: {budgetId: '775596ae-2624-40af-a9dc-9756110a4a03', currencyCode: 'USD'},
recipientId: 'string',
internalReference: 'string',
externalReference: 'string'
}
})
};
fetch('https://api.equalsmoney.com/v2/orders/trade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "EABCDE6FGHI0",
"bank": "BANK",
"settlement": {
"date": "20221027",
"price": {
"amount": 5,
"currency": "USD"
},
"charges": {
"fee": 0,
"margin": 0,
"other": 0
}
},
"trade": {
"rate": 1,
"inverseRate": 1,
"from": {
"amount": 5,
"currency": "USD"
},
"to": {
"amount": 5,
"currency": "USD"
}
}
}Authorizations
Query Parameters
The ID of the account to work with.
Example:
"F50091"
Body
application/json
Body
Was this page helpful?
⌘I
cURL
